Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class RedBlackMapUnit

    java.lang.Object
      rice.p2p.util.testing.RedBlackMapUnit

    public class RedBlackMapUnit

extends java.lang.Object

Constructor Summary
`RedBlackMapUnit()`

Method Summary
`protected static int` | `getIndex(Id id, Id[] sorted)`
`static void` | `main(java.lang.String[] args)`
`protected static void` | `printMap(Id[] id)`
`protected static void` | `printMap(java.util.SortedMap map)`
`protected static void` | `testHeadMap(Id head, Id[] sorted, java.util.SortedMap sub)`
`protected static void` | `testNormalSubMap(Id from, Id to, Id[] sorted, java.util.SortedMap sub)`
`protected static void` | `testRemove(java.util.SortedMap map)`
`protected static void` | `testRemove(java.util.SortedMap map, Id[] sorted, Id remove)`
`protected static void` | `testSortedMap(int iterations, java.util.SortedMap map, IdFactory factory, RandomSource random, int depth)`
`protected static void` | `testTailMap(Id tail, Id[] sorted, java.util.SortedMap sub)`
`protected static void` | `testWrappedSubMap(Id from, Id to, Id[] sorted, java.util.SortedMap sub)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedBlackMapUnit

    public RedBlackMapUnit()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testRemove

    protected static void testRemove(java.util.SortedMap map)

### testRemove

    protected static void testRemove(java.util.SortedMap map,
                                     Id[] sorted,
                                     Id remove)

### printMap

    protected static void printMap(Id[] id)

### printMap

    protected static void printMap(java.util.SortedMap map)

### testSortedMap

    protected static void testSortedMap(int iterations,
                                        java.util.SortedMap map,
                                        IdFactory factory,
                                        RandomSource random,
                                        int depth)

### testHeadMap

    protected static void testHeadMap(Id head,
                                      Id[] sorted,
                                      java.util.SortedMap sub)

### testTailMap

    protected static void testTailMap(Id tail,
                                      Id[] sorted,
                                      java.util.SortedMap sub)

### testNormalSubMap

    protected static void testNormalSubMap(Id from,
                                           Id to,
                                           Id[] sorted,
                                           java.util.SortedMap sub)

### testWrappedSubMap

    protected static void testWrappedSubMap(Id from,
                                            Id to,
                                            Id[] sorted,
                                            java.util.SortedMap sub)

### getIndex

    protected static int getIndex(Id id,
                                  Id[] sorted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.